View Issue Details

IDProjectCategoryLast Update
0019252AI War 2[All Projects] Crash/ExceptionNov 7, 2017 9:02 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.524 
Fixed in Version 
Summary0019252: Esc from Game start screen causes crash
DescriptionI got into the game start screen where I'm going to choose my map and settings.

If I hit Esc there then I hit a crash:
10/12/2017 12:51:24 PM
ErrorsReportedByEngine: -----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.External.Input_MasterMenuHandler.Handle (Int32 Int1, Arcen.Universal.InputActionTypeData InputActionType)
Arcen.Universal.ArcenInput.InnerHandleAction (Arcen.Universal.ArcenInputAction action) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Logic/ArcenInput.cs:158)
Arcen.Universal.ArcenInput.HandleEffectiveRewiredAction (Int32 ID) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Logic/ArcenInput.cs:147)
Arcen.Universal.ArcenInput.CheckInput () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Logic/ArcenInput.cs:140)
Arcen.Universal.Engine_Universal.OnUpdate () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Engine_Universal.cs:778)
ArcenGameController.Update () (at C:/vcprojs/arcengames_aiw_ultra/AIW2Unity/Assets/ArcenCode/ArcenGameController.cs:39)



   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1099
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1065
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 663
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 613
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)


Esc runs OpenSystemMenu
                case "OpenSystemMenu":
                    {
                        for(int i = 0; i < 20;i++ )
                            BackUpOneStepInMasterMenu();
                        Window_InGameBottomMenu.bToggleMasterMenu.Instance.HandleClick();
                    }

I think we need a check here to make sure the game has actually started



This was then followed by a different crash:
10/12/2017 12:52:13 PM Error in thread for execution context 'executionContext':System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.Core.GameEntity.ReevaluateAIOrders (Arcen.AIW2.Core.ArcenSimContext Context) [0x00240] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\GameEntity\GameEntity.cs:1883
  at Arcen.AIW2.Core.World_AIW2+<DoWorldStepLogic>c__AnonStorey0.<>m__1 (Arcen.AIW2.Core.GameEntity entity) [0x00008] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:269
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (GameEntityCategorySet Set, Arcen.AIW2.Core.ProcessorDelegate Processor) [0x00067] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\GameEntity\EntityCollection.cs:336
  at Arcen.AIW2.Core.World_AIW2.DoForEntities (GameEntityCategorySet Set, Arcen.AIW2.Core.ProcessorDelegate Processor) [0x00027] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:443
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x001ba] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:267
  at Arcen.AIW2.Core.SimExecution.Execute () [0x00043] in C:\vcprojs\arcengames_aiw_ultra\ArcenAIW2Core\src\Logic\Sim\SimExecution\SimExecution.cs:27

TagsNo tags attached.

Activities

keith.lamothe

Nov 7, 2017 8:04 am

administrator   ~0046584

I believe this one's been dealt with :)

BadgerBadger

Nov 7, 2017 9:02 am

manager   ~0046587

Ah, but you still see it if you are in the Game Select screen (aka where you choose the map type or factions).

BTW, can we have official names for all the screens "Main Menu Screen", "Game Select Screen", "Galaxy Map Screen" and "Planet Screen", or things like that?

Issue History

Date Modified Username Field Change
Oct 12, 2017 12:55 pm BadgerBadger New Issue
Nov 7, 2017 8:04 am keith.lamothe Assigned To => keith.lamothe
Nov 7, 2017 8:04 am keith.lamothe Status new => resolved
Nov 7, 2017 8:04 am keith.lamothe Resolution open => fixed
Nov 7, 2017 8:04 am keith.lamothe Note Added: 0046584
Nov 7, 2017 9:02 am BadgerBadger Note Added: 0046587